Skip to main content
GET
Get Engagement Event

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_id
string<uuid>
required

Response

Successful Response

Projection of an engagement_log row for read API consumers.

id
string<uuid>
required
user_id
string<uuid>
required
prospect_identifier
string
required
prospect_identifier_type
enum<string>
required
Available options:
email,
linkedin_provider_id,
prospect_uuid
channel
enum<string>
required
Available options:
email,
linkedin
event_type
enum<string>
required
Available options:
sent,
received,
classified,
state_transition,
suppressed,
cross_channel_engagement_detected
occurred_at
string
required
created_at
string
required
campaign_id
string<uuid> | null
campaign_lead_id
string<uuid> | null
classification_id
string<uuid> | null
raw_event_id
string<uuid> | null
payload_summary
Payload Summary · object